Subject: Re: [PATCH] git-svn: remove --first-parent, add --upstream

From: Steven Grimm <[email-masked]>
Date: Thu, 06 Sep 2007 10:49:44 -0700

Lars Hjemli wrote:
> This makes git-svn always issue the --first-parent option to git-log when
> trying to establish the "base" subversion branch, so the --first-parent
> option to git-svn is no longer needed. Instead a new option, --upstream
> <revspec>, is introduced. When this is specified the search for embedded
> git-svn-id lines in commit messages starts at the specified revision, if
> not specified the search starts at HEAD.
>   

This is a much better solution -- I can't personally imagine a scenario 
where I'd want anything other than the --first-parent behavior, so 
making it the default is much more convenient. Thanks.

-Steve